JNA API 3.3.0

## com.sun.jna.platform.unix
Class X11.Xrender.XRenderPictFormat

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.Xrender.XRenderPictFormat

Enclosing interface:
  X11.Xrender

    public static class X11.Xrender.XRenderPictFormat

extends Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`X11.Colormap` | `colormap`
`int` | `depth`
`X11.Xrender.XRenderDirectFormat` | `direct`
`X11.Xrender.PictFormat` | `id`
`int` | `type`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.Xrender.XRenderPictFormat()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    public X11.Xrender.PictFormat id

### type

    public int type

### depth

    public int depth

### direct

    public X11.Xrender.XRenderDirectFormat direct

### colormap

    public X11.Colormap colormap

Constructor Detail

### X11.Xrender.XRenderPictFormat

    public X11.Xrender.XRenderPictFormat()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.